import React from 'react';
import { Accordion, AccordionItem } from '../index';
describe('Accordion component specification', () => {
  it('open accordion item id 1 ', () => {
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(Accordion, {
      selectedItem: "1",
      height: "100px",
      maxheight: "100px"
    }, /*#__PURE__*/React.createElement(AccordionItem, {
      id: "1"
    }, /*#__PURE__*/React.createElement("div", null, "Acc-1"), /*#__PURE__*/React.createElement("div", {
      "data-id": "data"
    }, "Data1")), /*#__PURE__*/React.createElement(AccordionItem, {
      id: "2"
    }, /*#__PURE__*/React.createElement("div", null, "Acc-2"), /*#__PURE__*/React.createElement("div", {
      "data-id": "data"
    }, "Data2"))));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'data').textContent.contains('Data1')).toBe(true);
  });
  it('open accordion item id 1 ', () => {
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(Accordion, {
      selectedItem: "2",
      height: "100px",
      maxheight: "100px"
    }, /*#__PURE__*/React.createElement(AccordionItem, {
      id: "1"
    }, /*#__PURE__*/React.createElement("div", null, "Acc-1"), /*#__PURE__*/React.createElement("div", {
      "data-id": "data"
    }, "Data1")), /*#__PURE__*/React.createElement(AccordionItem, {
      id: "2"
    }, /*#__PURE__*/React.createElement("div", null, "Acc-2"), /*#__PURE__*/React.createElement("div", {
      "data-id": "data"
    }, "Data2"))));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'data').textContent.contains('Data2')).toBe(true);
  });
  it('accordion item 2 click check', () => {
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(Accordion, {
      selectedItem: "1",
      height: "100px",
      maxheight: "100px"
    }, /*#__PURE__*/React.createElement(AccordionItem, {
      id: "1"
    }, /*#__PURE__*/React.createElement("div", null, "Acc-1"), /*#__PURE__*/React.createElement("div", {
      "data-id": "data"
    }, "Data1")), /*#__PURE__*/React.createElement(AccordionItem, {
      id: "2"
    }, /*#__PURE__*/React.createElement("div", {
      "data-id": "ah2"
    }, "Acc-2"), /*#__PURE__*/React.createElement("div", {
      "data-id": "data1"
    }, "Data2"))));
    let acc2 = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'ah2');
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'data').textContent.contains('Data1')).toBe(true);
    TestUtils.Simulate.click(acc2);
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'data1').textContent.contains('Data2')).toBe(true);
  });
  it('accordion click callback check ', () => {
    let mockfn = jest.fn();
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(Accordion, {
      selectedItem: "1",
      height: "100px",
      maxheight: "100px",
      onSelect: mockfn
    }, /*#__PURE__*/React.createElement(AccordionItem, {
      id: "1"
    }, /*#__PURE__*/React.createElement("div", null, "Acc-1"), /*#__PURE__*/React.createElement("div", {
      "data-id": "data"
    }, "Data1")), /*#__PURE__*/React.createElement(AccordionItem, {
      id: "2"
    }, /*#__PURE__*/React.createElement("div", {
      "data-id": "ah2"
    }, "Acc-2"), /*#__PURE__*/React.createElement("div", {
      "data-id": "data"
    }, "Data2"))));
    let acc2 = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'ah2');
    TestUtils.Simulate.click(acc2);
    expect(mockfn.mock.calls.length).toBe(1);
  });
});