import React from 'react';
import Buttongroup from '../Buttongroup';
import Button from '../../Button/Button';
import renderer from 'react-test-renderer';
describe('Button component', () => {
  it('should the type is footer', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Buttongroup, {
      type: "footer"
    }, /*#__PURE__*/React.createElement(Button, {
      text: "Submit",
      palette: "primaryFilled"
    }), /*#__PURE__*/React.createElement(Button, {
      text: "Cancel",
      palette: "secondary"
    })));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the type is header', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Buttongroup, {
      type: "header"
    }, /*#__PURE__*/React.createElement(Button, {
      text: "Submit",
      palette: "primaryFilled"
    }), /*#__PURE__*/React.createElement(Button, {
      text: "Cancel",
      palette: "secondary"
    })));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the button position is left', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Buttongroup, {
      type: "footer"
    }, /*#__PURE__*/React.createElement(Button, {
      text: "Submit",
      palette: "primaryFilled"
    }), /*#__PURE__*/React.createElement(Button, {
      text: "Cancel",
      palette: "secondary"
    })));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the button position is right', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Buttongroup, {
      type: "footer",
      buttonPosition: "right"
    }, /*#__PURE__*/React.createElement(Button, {
      text: "Submit",
      palette: "primaryFilled"
    }), /*#__PURE__*/React.createElement(Button, {
      text: "Cancel",
      palette: "secondary"
    })));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the button position is center', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Buttongroup, {
      type: "footer",
      buttonPosition: "center"
    }, /*#__PURE__*/React.createElement(Button, {
      text: "Submit",
      palette: "primaryFilled"
    }), /*#__PURE__*/React.createElement(Button, {
      text: "Cancel",
      palette: "secondary"
    })));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
});