/* eslint-disable no-undef */

/*eslint-disable no-unused-vars*/
import DateTime, { Span } from '../DateTime';
import React from 'react';
const defaultProps = {
  value: '2018-12-27T12:02:07.000Z',
  isDateTimeField: false,
  onSelect: jest.fn(),
  timeZone: '',
  min: '',
  max: '',
  maxErrorText: '',
  minErrorText: '',
  position: 'bottomLeft',
  isActive: true,
  onError: jest.fn(),
  isReady: true
};
describe('DateTime testing', () => {
  it('Should call handleSelect onSetting date', () => {
    const {
      props,
      renderedDOM
    } = setup(DateTime, defaultProps);
    let component = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'dateTime_saveBtn')[0];
    TestUtils.Simulate.click(component);
    expect(props.onSelect).toHaveBeenCalled();
  });
  it('Should call handleSelect onClearing date', () => {
    const {
      props,
      renderedDOM
    } = setup(DateTime, defaultProps);
    let component = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'dateTime_clearBtn')[0];
    TestUtils.Simulate.click(component);
    expect(props.onSelect).toHaveBeenCalled();
  });
  it('Should display Time field if isDateTimeField is true', () => {
    const {
      props,
      renderedDOM
    } = setup(DateTime, Object.assign({}, defaultProps, {
      isDateTimeField: true
    }));
    let selectComponents = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'dateTime_timeContainer');
    expect(selectComponents.length).toBe(1);
  });
  it('Should not  display Time field if isDateTimeField is false', () => {
    const {
      props,
      renderedDOM
    } = setup(DateTime, Object.assign({}, defaultProps, {
      isDateTimeField: false
    }));
    let selectComponents = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'dateTime_timeContainer');
    expect(selectComponents.length).toBe(0);
  });
  it('Should navigate to prevYear onClicking prevYear(<<)', () => {
    const {
      props,
      renderedDOM
    } = setup(Span, Object.assign({}, defaultProps, {
      dataId: 'prevYear',
      type: 'll',
      modifyCalendar: jest.fn()
    }));
    let prevYearComponents = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'prevYear');
    TestUtils.Simulate.click(prevYearComponents);
    expect(props.modifyCalendar).toHaveBeenCalled();
    expect(props.modifyCalendar).toHaveBeenLastCalledWith(props.type);
  });
  it('Should navigate to prevMonth onClicking prevMonth(<)', () => {
    const {
      props,
      renderedDOM
    } = setup(Span, Object.assign({}, defaultProps, {
      dataId: 'prevMonth',
      type: 'l',
      modifyCalendar: jest.fn()
    }));
    let prevMonthComponents = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'prevMonth');
    TestUtils.Simulate.click(prevMonthComponents);
    expect(props.modifyCalendar).toHaveBeenCalled();
    expect(props.modifyCalendar).toHaveBeenLastCalledWith(props.type);
  });
  it('Should navigate to nextMonth onClicking nextMonth(>)', () => {
    const {
      props,
      renderedDOM
    } = setup(Span, Object.assign({}, defaultProps, {
      dataId: 'nextMonth',
      type: 'g',
      modifyCalendar: jest.fn()
    }));
    let nextMonthComponents = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'nextMonth');
    TestUtils.Simulate.click(nextMonthComponents);
    expect(props.modifyCalendar).toHaveBeenCalled();
    expect(props.modifyCalendar).toHaveBeenLastCalledWith(props.type);
  });
  it('Should navigate to nextYear onClicking nextYear(>>)', () => {
    const {
      props,
      renderedDOM
    } = setup(Span, Object.assign({}, defaultProps, {
      dataId: 'nextyear',
      type: 'gg',
      modifyCalendar: jest.fn()
    }));
    let nextyearComponents = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'nextyear');
    TestUtils.Simulate.click(nextyearComponents);
    expect(props.modifyCalendar).toHaveBeenCalled();
    expect(props.modifyCalendar).toHaveBeenLastCalledWith(props.type);
  });
});