import React from 'react';
import DropBox from '../DropBox';
const defaultProps = {
  onClick: jest.fn()
};
describe('DropBox component', () => {
  it('Should Arrow element visible', () => {
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(DropBox, {
      onClick: jest.fn(),
      isArrow: true
    }));
    let x = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'dropBox_arrow');
    expect(x.length).toBe(1);
  });
  it('Should Arrow element disable', () => {
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(DropBox, {
      onClick: jest.fn(),
      isArrow: false
    }));
    let x = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'dropbox_arrow');
    expect(x.length).toBe(0);
  });
  it('Should call onclick container function', () => {
    const {
      props,
      renderedDOM
    } = setup(DropBox, defaultProps);
    let component = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'dropBox_subcontainer');
    TestUtils.Simulate.click(component);
    expect(props.onClick).toHaveBeenCalled();
  });
  it('Should check render proper class name(hidden)', () => {
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(DropBox, {
      isActive: false,
      isArrow: true
    }));
    let x = TestUtils.scryRenderedDOMComponentsWithClass(renderedDOM, 'hidden');
    expect(x.length).toBe(1);
  });
  it('Should check render proper class name(size)', () => {
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(DropBox, {
      isArrow: true,
      size: 'xsmall'
    }));
    let x = TestUtils.scryRenderedDOMComponentsWithClass(renderedDOM, 'xsmall');
    expect(x.length).toBe(1);
  });
  it('Should check render proper class name(boxPosition)', () => {
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(DropBox, {
      boxPosition: 'bottomRight'
    }));
    let x = TestUtils.scryRenderedDOMComponentsWithClass(renderedDOM, 'bottomEnd');
    expect(x.length).toBe(1);
  });
  it('Should check render proper class name(isAnimate & isActive)', () => {
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(DropBox, {
      isArrow: true,
      isAnimate: true,
      isActive: true
    }));
    let x = TestUtils.scryRenderedDOMComponentsWithClass(renderedDOM, 'fadeInScale');
    expect(x.length).toBe(1);
  });
  it('Should check render proper class name(isAnimate & isActive)', () => {
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(DropBox, {
      isArrow: true,
      isAnimate: true,
      isActive: true
    }));
    let x = TestUtils.scryRenderedDOMComponentsWithClass(renderedDOM, 'fadeInScale');
    expect(x.length).toBe(1);
  });
  it('Should check render proper class name(arrowPosition)', () => {
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(DropBox, {
      isArrow: true,
      arrowPosition: 'end'
    }));
    let x = TestUtils.scryRenderedDOMComponentsWithClass(renderedDOM, 'end');
    expect(x.length).toBe(1);
  });
});