import React from 'react';
import { DropDownItemContainer, DropDownContainer, DropDownTarget } from '../DropDown'; // import renderer from 'react-test-renderer';

const defaultProps = {
  onScroll: jest.fn(),
  children: /*#__PURE__*/React.createElement("div", {
    "data-id": "childElem"
  }, "test")
};
describe('DropDown component Test Cases', () => {
  it('Should onScroll method get called', () => {
    const {
      props,
      renderedDOM
    } = setup(DropDownItemContainer, defaultProps);
    let component = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'drpdwnItemContainer');
    TestUtils.Simulate.scroll(component);
    expect(props.onScroll).toHaveBeenCalled();
  });
  it('Should render children element in DropDownItemContainer', () => {
    const {
      props,
      renderedDOM
    } = setup(DropDownItemContainer, defaultProps);
    let children = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'childElem');
    expect(children.length).toBe(1);
  });
  it('Should render children element in DropDownContainer', () => {
    const {
      props,
      renderedDOM
    } = setup(DropDownContainer, defaultProps);
    let children = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'childElem');
    expect(children.length).toBe(1);
  });
  it('Should render children element in DropDownTarget', () => {
    const {
      props,
      renderedDOM
    } = setup(DropDownTarget, defaultProps);
    let children = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'childElem');
    expect(children.length).toBe(1);
  });
});