import React from 'react';
import DropDownItem from '../DropDownItem';
const defaultProps = {
  onClick: jest.fn(),
  onHover: jest.fn(),
  active: true,
  hightlight: true,
  children: /*#__PURE__*/React.createElement("div", {
    "data-id": "childElem"
  }, "test")
};
describe('DropDownItem component Test Cases', () => {
  it('Should check render proper class name(hightlight)', () => {
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(DropDownItem, {
      hightlight: true
    }));
    let x = TestUtils.scryRenderedDOMComponentsWithClass(renderedDOM, 'listHover');
    expect(x.length).toBe(1);
  });
  it('Should check render proper class name(active)', () => {
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(DropDownItem, {
      active: true
    }));
    let x = TestUtils.scryRenderedDOMComponentsWithClass(renderedDOM, 'active');
    expect(x.length).toBe(1);
  });
  it('Should onClick method get called', () => {
    const {
      props,
      renderedDOM
    } = setup(DropDownItem, defaultProps);
    let component = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'dropDwnItemContainer');
    TestUtils.Simulate.click(component);
    expect(props.onClick).toHaveBeenCalled();
  });
  it('Should onHover method get called', () => {
    const {
      props,
      renderedDOM
    } = setup(DropDownItem, defaultProps);
    let component = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'dropDwnItemContainer');
    TestUtils.Simulate.mouseOver(component);
    expect(props.onHover).toHaveBeenCalled();
  });
});