import React from 'react';
import Box from '../Box';
import renderer from 'react-test-renderer';
describe('Layout Component', () => {
  it('Should contains the data-scroll is true', () => {
    const {
      props,
      renderedDOM
    } = setup(Box, {
      isScrollAttribute: true
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').getAttribute('data-scroll').contains(true)).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Box, {
      flexible: true
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('grow basis')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Box, {
      flexible: true,
      adjust: true
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('grow')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Box, {
      adjust: true
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('basisAuto')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Box, {
      shrink: false
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('shrink')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Box, {
      shrink: true
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('shrinkOn')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Box, {
      hidden: ['lg']
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('hidden-screen-lg')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Box, {
      column: '4'
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('col-4')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Box, {
      scroll: 'horizontal'
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('scrollx')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Box, {
      scroll: 'vertical'
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('scrolly')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Box, {
      scroll: 'both'
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('scrollboth')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Box, {
      scroll: 'none'
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('scrollnone')).toBe(true);
  });
});