import React from 'react';
import Container from '../Container';
import renderer from 'react-test-renderer';
describe('Layout Component', () => {
  it('Should contains the data-scroll is true', () => {
    const {
      props,
      renderedDOM
    } = setup(Container, {
      isScrollAttribute: true
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').getAttribute('data-scroll').contains(true)).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Container);
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('flex')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Container, {
      alignBox: 'row'
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('rowdir')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Container, {
      alignBox: 'row-reverse'
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('rowReverse')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Container, {
      hidden: ['lg']
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('hidden-screen-lg')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Container, {
      wrap: 'wrap'
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('wrap')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Container, {
      align: 'horizontal'
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('hCenter')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Container, {
      align: 'vertical'
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('vCenter')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Container, {
      align: 'both'
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('both')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Container, {
      scroll: 'horizontal'
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('scrollx')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Container, {
      scroll: 'vertical'
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('scrolly')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Container, {
      scroll: 'both'
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('scrollboth')).toBe(true);
  });
  it('Should contains the default class', () => {
    const {
      props,
      renderedDOM
    } = setup(Container, {
      scroll: 'none'
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('scrollnone')).toBe(true);
  });
});