/* eslint-disable no-undef */

/**** Libraries ****/
import React from 'react';
import ReactDOM from 'react-dom';
import PropTypes from 'prop-types';
/**** Components ****/

import Popup from '../Popup';

class SamplePopup extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    return /*#__PURE__*/React.createElement("div", null, "Sample Popup");
  }

}

class SamplePopupCopy extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    return /*#__PURE__*/React.createElement("div", {
      "data-id": "samplePopup",
      onClick: ev => {
        this.props.removeClose(ev);
      }
    }, "Sample Popup");
  }

}

SamplePopupCopy.propTypes = {
  removeClose: PropTypes.func
};

class SamplePopupCopy1 extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    return /*#__PURE__*/React.createElement("div", {
      "data-id": "samplePopup"
    }, "Sample Popup");
  }

}

describe('Popup component conditions', () => {
  it('should click same popup with removeClose', () => {
    let PopupWrapperComponent = Popup(SamplePopupCopy);
    let div = document.createElement('div');
    document.body.append(div);
    /*eslint-disable */

    let popupDom = ReactDOM.render( /*#__PURE__*/React.createElement(PopupWrapperComponent, null), div);
    /*eslint-enable */

    popupDom.togglePopup();
    expect(popupDom.state.isPopupOpen).toBeTruthy();
    let popupEle = TestUtils.findRenderedComponentsWithTestid(popupDom, 'samplePopup');
    popupEle.click();
    expect(popupDom.state.isPopupOpen).toBeTruthy();
  });
  it('should open popup and close popup', () => {
    let PopupWrapperComponent = Popup(SamplePopup);
    let popupDom = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(PopupWrapperComponent, null));
    popupDom.openPopupOnly();
    expect(popupDom.state.isPopupOpen).toBeTruthy();
    popupDom.closePopupOnly();
    expect(popupDom.state.isPopupOpen).toBeFalsy();
  });
  it('should close another popup already one opened', () => {
    let PopupWrapperComponent1 = Popup(SamplePopup);
    let popupDom1 = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(PopupWrapperComponent1, null));
    let PopupWrapperComponent2 = Popup(SamplePopup);
    let popupDom2 = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(PopupWrapperComponent2, null));
    popupDom1.togglePopup();
    expect(popupDom1.state.isPopupOpen).toBeTruthy();
    expect(popupDom2.state.isPopupOpen).toBeFalsy();
    popupDom2.togglePopup();
    expect(popupDom1.state.isPopupOpen).toBeFalsy();
    expect(popupDom2.state.isPopupOpen).toBeTruthy();
  });
  it('should click document close opened popup', () => {
    let PopupWrapperComponent = Popup(SamplePopup);
    let popupDom = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(PopupWrapperComponent, null));
    popupDom.togglePopup();
    expect(popupDom.state.isPopupOpen).toBeTruthy();
    document.body.click();
    expect(popupDom.state.isPopupOpen).toBeFalsy();
  });
  it('should click same popup with out removeClose', () => {
    let PopupWrapperComponent = Popup(SamplePopupCopy1);
    let div = document.createElement('div');
    document.body.append(div);
    /*eslint-disable */

    let popupDom = ReactDOM.render( /*#__PURE__*/React.createElement(PopupWrapperComponent, null), div);
    /*eslint-enable */

    popupDom.togglePopup();
    expect(popupDom.state.isPopupOpen).toBeTruthy();
    let popupEle = TestUtils.findRenderedComponentsWithTestid(popupDom, 'samplePopup');
    popupEle.click();
    expect(popupDom.state.isPopupOpen).toBeFalsy();
  });
  it('should click document close opened popup', () => {
    let PopupWrapperComponent = Popup(SamplePopup);
    let popupDom = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(PopupWrapperComponent, null));
    popupDom.togglePopup();
    expect(popupDom.state.isPopupOpen).toBeTruthy();
    document.body.click();
    expect(popupDom.state.isPopupOpen).toBeFalsy();
  });
  it('should press esc key opened popup close', () => {
    let PopupWrapperComponent = Popup(SamplePopupCopy1);
    let popupDom = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(PopupWrapperComponent, null));
    popupDom.togglePopup();
    expect(popupDom.state.isPopupOpen).toBeTruthy(); //TestUtils.Simulate.keyUp(document, {keyCode:27});

    let e = document.createEvent('HTMLEvents');
    e.initEvent('keyup', false, true);
    e.keyCode = 27;
    document.dispatchEvent(e);
    expect(popupDom.state.isPopupOpen).toBeFalsy();
  });
}); //Group Popup Handling Open and close