import React from 'react';
import Stencils from '../Stencils';
import renderer from 'react-test-renderer';
describe('Stencils component', () => {
  it('should the palette is primary', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Stencils, {
      palette: "primary"
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the palette is secondary', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Stencils, {
      palette: "secondary"
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the size is small', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Stencils, {
      palette: "default",
      size: "small"
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the size is medium', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Stencils, {
      palette: "default",
      size: "small"
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the size is large', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Stencils, {
      palette: "default",
      size: "large"
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the size is default', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Stencils, {
      palette: "default",
      size: "default"
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the shape is rect', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Stencils, {
      palette: "default",
      shape: "rect",
      size: "default"
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the shape is circle', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Stencils, {
      palette: "default",
      shape: "circle",
      size: "default"
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
});