import React from 'react';
import Tab from '../Tab';
describe('Tab Component', () => {
  it('Is Contains alpha class', () => {
    const {
      props,
      renderedDOM
    } = setup(Tab, {
      type: 'alpha',
      needAppearance: true,
      getActiveRef: () => {}
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab').className.contains('tabAlpha')).toBe(true);
  });
  it('Is Contains beta class', () => {
    const {
      props,
      renderedDOM
    } = setup(Tab, {
      type: 'beta',
      needAppearance: true,
      getActiveRef: () => {}
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab').className.contains('tabBeta')).toBe(true);
  });
  it('Is Contains gamma class', () => {
    const {
      props,
      renderedDOM
    } = setup(Tab, {
      type: 'gamma',
      needAppearance: true,
      getActiveRef: () => {}
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab').className.contains('tab')).toBe(true);
  });
  it('Is Contains delta class', () => {
    const {
      props,
      renderedDOM
    } = setup(Tab, {
      type: 'delta',
      needAppearance: true,
      getActiveRef: () => {}
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab').className.contains('tabDelta')).toBe(true);
  }); // it('Is Contains zeta class', () => {
  //   const { props, renderedDOM } = setup(Tab, { type: 'zeta', needAppearance: true, getActiveRef: () => { } });
  //   expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab').className.contains('tab')).toBe(true);
  // });
  // it('Is Contains special class', () => {
  //   const { props, renderedDOM } = setup(Tab, { type: 'special', getActiveRef: () => {} });
  //   expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab').className.contains('special')).toBe(true);
  //
  // });

  it('Is Contains active class', () => {
    const {
      props,
      renderedDOM
    } = setup(Tab, {
      type: 'alpha',
      needAppearance: true,
      id: '0',
      selectedTab: '0',
      isActive: true,
      getActiveRef: () => {}
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab').className.contains('alphaActive')).toBe(true);
  });
  it('Is Contains border class', () => {
    const {
      props,
      renderedDOM
    } = setup(Tab, {
      isActive: true,
      type: 'alpha',
      needAppearance: true,
      needBorder: true,
      getActiveRef: () => {}
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab').className.contains('alphaActive_border')).toBe(true);
  });
  it('Is call onClick', () => {
    let {
      renderedDOM,
      props
    } = setup(Tab, {
      id: '2',
      onClick: jest.fn(),
      onSelect: jest.fn(),
      getActiveRef: () => {}
    });
    let tabElement = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab');
    TestUtils.Simulate.click(tabElement, {
      currentTarget: {
        offsetLeft: 0,
        offsetWidth: 0
      }
    });
    expect(props.onClick).toHaveBeenCalled();
    expect(props.onSelect).toHaveBeenLastCalledWith('2');
  });
  it('is render text span', () => {
    let {
      renderedDOM,
      props
    } = setup(Tab, {
      type: 'alpha',
      dataId: 'taskSubtab1',
      text: 'Tab1',
      getActiveRef: () => {}
    });
    let tabElement = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'taskSubtab1_Tab');
    expect(tabElement.getAttribute('data-id')).toBe('taskSubtab1_Tab');
  });
});