import React from 'react';
import TabContentWrapper from '../TabContentWrapper';
import TabContent from '../TabContent';
describe('TabContentWrapper Component', () => {
  it('is children rendered class', () => {
    const {
      props,
      renderedDOM
    } = setup(TabContentWrapper, {
      selectedTab: '0',
      children: [/*#__PURE__*/React.createElement(TabContent, {
        id: '0',
        key: 0
      }, /*#__PURE__*/React.createElement("div", {
        "data-id": "child1"
      }, " Tab 1")), /*#__PURE__*/React.createElement(TabContent, {
        id: '1',
        key: 1
      }, /*#__PURE__*/React.createElement("div", {
        "data-id": "child2"
      }, " Tab 2"))]
    });
    let component = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'child1');
    expect(component.getAttribute('data-id')).toBe('child1');
  });
  it('is only selected TabContent rendered ', () => {
    const Tab1 = /*#__PURE__*/React.createElement(TabContent, {
      id: '0',
      key: 0
    }, /*#__PURE__*/React.createElement("div", {
      className: "not-render",
      "data-id": "child1"
    }, ' ', "Tab 1"));
    const Tab2 = /*#__PURE__*/React.createElement(TabContent, {
      id: '1',
      key: 1
    }, /*#__PURE__*/React.createElement("div", {
      className: "not-render"
    }, " Tab 2"), "TabContent 2");
    const {
      props,
      renderedDOM
    } = setup(TabContentWrapper, {
      selectedTab: '0',
      children: [Tab1, Tab2]
    });
    let component = TestUtils.scryRenderedDOMComponentsWithClass(renderedDOM, 'not-render');
    expect(component.length).toBe(1);
  });
});