import React from 'react';
import ReactDOM from 'react-dom';
import TabWrapper from '../TabWrapper';
import Tab from '../Tab';
import Tabs from '../Tabs';
describe('TabWrapper Component', () => {
  it('is Tab rendered', () => {
    let onSelect = jest.fn();
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(TabWrapper, {
      defaultTab: "0",
      type: "alpha",
      onSelect: onSelect
    }, /*#__PURE__*/React.createElement(Tabs, {
      isResponsive: false
    }, /*#__PURE__*/React.createElement(Tab, {
      key: '0',
      id: "0"
    }))));
    let tabChild = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab');
    expect(tabChild.getAttribute('data-id')).toBe('tabMenu_Tab');
  });
  it('is onSelect called', () => {
    let onSelect = jest.fn();
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(TabWrapper, {
      defaultTab: "0",
      type: "alpha",
      onSelect: onSelect
    }, /*#__PURE__*/React.createElement(Tabs, {
      isResponsive: false
    }, /*#__PURE__*/React.createElement(Tab, {
      key: '0',
      id: "0"
    }))));
    let tabChild = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab');
    TestUtils.Simulate.click(tabChild, {
      currentTarget: {
        offsetLeft: 0,
        offsetWidth: 0
      }
    });
    expect(onSelect).toHaveBeenCalled();
  });
  it('is disable State internally', () => {
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(TabWrapper, {
      defaultTab: "0",
      type: "alpha"
    }, /*#__PURE__*/React.createElement(Tabs, {
      isResponsive: false
    }, /*#__PURE__*/React.createElement(Tab, {
      key: '0',
      id: "0"
    }, "One"), /*#__PURE__*/React.createElement(Tab, {
      key: '1',
      id: "1"
    }, "Two"))));
    expect(renderedDOM.state.selectedTabInternal).toBe('0');
  });
  it('change selectedTab id', () => {
    let node = document.createElement('div');
    let children = /*#__PURE__*/React.createElement(Tabs, {
      isResponsive: false
    }, /*#__PURE__*/React.createElement(Tab, {
      key: '0',
      id: "0"
    }, "One"), /*#__PURE__*/React.createElement(Tab, {
      key: '1',
      id: "1"
    }, "Two"));
    /*eslint-disable */

    let renderedDOM = ReactDOM.render( /*#__PURE__*/React.createElement(TabWrapper, {
      defaultTab: '0',
      type: "alpha",
      hookToDisableInternalState: true
    }, children), node);
    let tab = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab');
    expect(tab[0].className.contains('Active')).toBe(true);
    ReactDOM.render( /*#__PURE__*/React.createElement(TabWrapper, {
      defaultTab: '1',
      type: "alpha",
      hookToDisableInternalState: true
    }, children), node);
    expect(tab[0].className.contains('Active')).toBe(false);
    expect(tab[1].className.contains('Active')).toBe(true);
  });
});