import React from 'react';
import ReactDOM from 'react-dom';
import Tab from '../Tab';
import Tabs from '../Tabs';
let defaultProps = {
  type: 'alpha',
  selectedTab: '0',
  children: [/*#__PURE__*/React.createElement("div", {
    key: 0,
    "data-id": "customtab"
  }, "Not tab component")],
  isResponsive: false
};
let tabChildrenProps = {
  type: 'alpha',
  isResponsive: false,
  selectedTab: '0',
  children: [/*#__PURE__*/React.createElement(Tab, {
    style: {
      width: '200px'
    },
    key: 0,
    id: '0'
  }, "Tab component")]
};
describe('Tabs Component', () => {
  it('is contains alpha class', () => {
    const {
      props,
      renderedDOM
    } = setup(Tabs, {
      type: 'alpha',
      isResponsive: false
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('alpha')).toBe(true);
  });
  it('is contains special class', () => {
    const {
      props,
      renderedDOM
    } = setup(Tabs, {
      type: 'special'
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('special')).toBe(true);
  });
  it('is contains border class', () => {
    const {
      props,
      renderedDOM
    } = setup(Tabs, {
      type: 'alpha',
      needBorder: true
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('border')).toBe(true);
  });
  it('is contains padding class', () => {
    const {
      props,
      renderedDOM
    } = setup(Tabs, {
      type: 'alpha',
      needPadding: true
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('padding')).toBe(true);
  });
  it('is contains custom class', () => {
    const {
      props,
      renderedDOM
    } = setup(Tabs, {
      type: 'alpha',
      className: 'customClass'
    });
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('customClass')).toBe(true);
  });
  it('did render custom tab', () => {
    const {
      props,
      renderedDOM
    } = setup(Tabs, defaultProps);
    let component = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'customtab');
    expect(component.getAttribute('data-id')).toBe('customtab');
  });
  it('did render Tab', () => {
    const {
      props,
      renderedDOM
    } = setup(Tabs, tabChildrenProps);
    let component = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'taskSubtab');
    expect(component.getAttribute('data-id')).toBe('taskSubtab');
  });
  it('move Highlight called', () => {
    const {
      props,
      renderedDOM
    } = setup(Tabs, Object.assign({}, tabChildrenProps, {
      isAnimate: true,
      needTabBorder: true
    }));
    let component = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'highlight');
    expect(component.getAttribute('style')).toBe('left: 0; width: 0;');
  });
  fit('isResponsive called', () => {
    const {
      props,
      renderedDOM
    } = setup(Tabs, Object.assign({}, tabChildrenProps, {
      isAnimate: true,
      isResponsive: true,
      needTabBorder: true
    }));
    let component = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'taskSubtab');
    expect(component.length).toBe(0);
  });
});