import React from 'react';
import renderer from 'react-test-renderer';
import Tag from '../Tag';
const defaultProps = {};
describe('Tag component conditions', () => {
  it('Select Tag', () => {
    let {
      props,
      renderedDOM
    } = setup(Tag, Object.assign({}, defaultProps, {
      onSelectTag: jest.fn()
    }));
    let component = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tag_Tag');
    TestUtils.Simulate.click(component);
    expect(props.onSelectTag).toHaveBeenCalled();
  });
  it('Remove Tag', () => {
    let {
      props,
      renderedDOM
    } = setup(Tag, Object.assign({}, defaultProps, {
      onRemove: jest.fn()
    }));
    let component = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tag_RemoveTag');
    TestUtils.Simulate.click(component);
    expect(props.onRemove).toHaveBeenCalled();
  });
});