import React from 'react';
import Textarea from '../Textarea';
import renderer from 'react-test-renderer';
describe('Textarea component', () => {
  it('should display size xsmall', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Textarea, {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "xsmall",
      variant: "default"
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size xsmall - primary', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Textarea, {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "xsmall",
      variant: "primary"
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size small', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Textarea, {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "small",
      variant: "default"
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size small - primary', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Textarea, {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "small",
      variant: "primary"
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size medium', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Textarea, {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "medium",
      variant: "default"
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size medium - primary', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Textarea, {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "medium",
      variant: "primary"
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size large', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Textarea, {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "large",
      variant: "default"
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size large - primary', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Textarea, {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "large",
      variant: "primary"
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should text propertly entered', () => {
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(Textarea, {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "large",
      variant: "primary",
      text: "Text Area Working"
    }));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'TextareaComp').value.contains('Text Area Working')).toBe(true);
  });
  it('should placeHolder propertly entered', () => {
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(Textarea, {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "large",
      variant: "primary",
      text: "Text Area Working"
    }));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'TextareaComp').getAttribute('placeholder')).toMatch(/Text Area/);
  });
  it('Check border applied', () => {
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(Textarea, {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "large",
      variant: "primary",
      text: "Text Area Working",
      needBorder: true
    }));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'TextareaComp').className).toMatch(/needBorder/);
  });
  it('Check border removed', () => {
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(Textarea, {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "large",
      variant: "primary",
      text: "Text Area Working",
      needBorder: false
    }));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'TextareaComp').className).toMatch(/noBorder/);
  }); // it('Check disabled works', () => {
  //   let renderedDOM = TestUtils.renderIntoDocument(
  //     <Textarea maxLength='100' placeHolder='Text Area' resize='vertical' size='large' variant='primary' text='Text Area Working' disabled needBorder={false} />
  //   );
  //   let pass = false;
  //   let classNames = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'TextareaComp').classList;
  //   Object.keys(classNames)
  //     .map(className => {
  //       if (classNames[className] == 'disabled') {
  //         pass = true;
  //       }
  //     });
  //   expect(
  //     pass
  //   ).toBe(true);
  // });

  it('Check check onchange works', () => {
    let mockfn = jest.fn();
    let renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(Textarea, {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "large",
      variant: "primary",
      text: "Text Area Working",
      needBorder: false,
      onChange: mockfn
    }));
    let onChangeEle = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'TextareaComp');
    TestUtils.Simulate.change(onChangeEle);
    expect(mockfn.mock.calls.length).toBe(1);
  });
});