import React from 'react';
import renderer from 'react-test-renderer';
import Tooltip from '../Tooltip';

class SampleComponent extends React.Component {
  constructor(props) {
    super(props);
    this.toolTipRef = /*#__PURE__*/React.createRef();
    this.setToolTipRef = this.setToolTipRef.bind(this);
  }

  setToolTipRef(ref) {
    this.toolTipRef = ref;
  }

  render() {
    return /*#__PURE__*/React.createElement("div", {
      onMouseOver: e => this.toolTipRef && this.toolTipRef.handleOver(e),
      "data-id": "sampleComponent"
    }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("span", {
      "data-title": "Register Account",
      "data-id": "registeraccount"
    }, "Register")), /*#__PURE__*/React.createElement(Tooltip, {
      ref: this.setToolTipRef
    }));
  }

}

describe('Tooltip component conditions', () => {
  it('Is HandleOver Executed', () => {
    let sampleComponent = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(SampleComponent, null));
    sampleComponent.toolTipRef.handleOver = jest.fn();
    let component = TestUtils.findRenderedComponentsWithTestid(sampleComponent, 'sampleComponent');
    TestUtils.Simulate.mouseOver(component);
    expect(sampleComponent.toolTipRef.handleOver).toHaveBeenCalled();
  });
  it('Is reset Executed', () => {
    let sampleComponent = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(SampleComponent, null));
    sampleComponent.toolTipRef.reset = jest.fn();
    let component = TestUtils.findRenderedComponentsWithTestid(sampleComponent, 'sampleComponent');
    TestUtils.Simulate.mouseOver(component);
    expect(sampleComponent.toolTipRef.reset).toHaveBeenCalled();
  });
  it('Is click & mouseUp Declared', () => {
    let sampleComponent = TestUtils.renderIntoDocument( /*#__PURE__*/React.createElement(SampleComponent, null));
    let component = TestUtils.findRenderedComponentsWithTestid(sampleComponent, 'sampleComponent');
    let registerComp = TestUtils.findRenderedComponentsWithTestid(sampleComponent, 'registeraccount');
    TestUtils.Simulate.mouseOver(component);
    expect(registerComp.click && registerComp.mouseUp).not.toBeNull();
  });
});