import { debounce } from '../debounce';
describe('debounce specification', () => {
  beforeEach(() => {
    jest.useFakeTimers();
  });
  it('should call immediate', () => {
    const mockfn = jest.fn();
    const dMockfn = debounce(mockfn, 1000, true);
    dMockfn(); //expect(setTimeout).toHaveBeenCalledTimes(1);

    expect(mockfn.mock.calls.length).toBe(1);
  });
  it('should call two times but it invoke multiple times', () => {
    const mockfn = jest.fn();
    const dMockfn = debounce(mockfn, 1000, true);
    dMockfn();
    dMockfn();
    dMockfn();
    dMockfn();
    dMockfn();
    setTimeout(() => {
      expect(mockfn.mock.calls.length).toBe(2);
    }, 1000);
  });
  it('should call one time but it invoke multiple times', () => {
    const mockfn = jest.fn();
    const dMockfn = debounce(mockfn, 1000);
    dMockfn();
    dMockfn();
    dMockfn();
    dMockfn();
    dMockfn();
    setTimeout(() => {
      expect(mockfn.mock.calls.length).toBe(1);
    }, 1000);
  });
});