import { getInitial, getInitialByPattern } from '../getInitial';
describe('getInitial specification', () => {
  it('first name alone', () => {
    expect(getInitial('vimalesan')).toEqual('V');
  });
  it('last name alone', () => {
    expect(getInitial(null, 'vimalesan')).toEqual('VI');
  });
  it('first name and last name alone', () => {
    expect(getInitial('vimalesan', 'a')).toEqual('VA');
  });
  it('last name with single character', () => {
    expect(getInitial(null, 'v')).toEqual('V');
  });
});
describe('getInitialByPattern specification', () => {
  it('first name and last name pattern', () => {
    expect(getInitialByPattern('vimalesan', 'a', ['FIRST_NAME', 'LAST_NAME'])).toEqual('VA');
  });
  it('last name and first name pattern', () => {
    expect(getInitialByPattern('vimalesan', 'a', ['LAST_NAME', 'FIRST_NAME'])).toEqual('AV');
  });
});