"use strict";

var _react = _interopRequireDefault(require("react"));

var _index = require("../index");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('Accordion component specification', function () {
  it('open accordion item id 1 ', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_index.Accordion, {
      selectedItem: "1",
      height: "100px",
      maxheight: "100px"
    }, /*#__PURE__*/_react["default"].createElement(_index.AccordionItem, {
      id: "1"
    }, /*#__PURE__*/_react["default"].createElement("div", null, "Acc-1"), /*#__PURE__*/_react["default"].createElement("div", {
      "data-id": "data"
    }, "Data1")), /*#__PURE__*/_react["default"].createElement(_index.AccordionItem, {
      id: "2"
    }, /*#__PURE__*/_react["default"].createElement("div", null, "Acc-2"), /*#__PURE__*/_react["default"].createElement("div", {
      "data-id": "data"
    }, "Data2"))));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'data').textContent.contains('Data1')).toBe(true);
  });
  it('open accordion item id 1 ', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_index.Accordion, {
      selectedItem: "2",
      height: "100px",
      maxheight: "100px"
    }, /*#__PURE__*/_react["default"].createElement(_index.AccordionItem, {
      id: "1"
    }, /*#__PURE__*/_react["default"].createElement("div", null, "Acc-1"), /*#__PURE__*/_react["default"].createElement("div", {
      "data-id": "data"
    }, "Data1")), /*#__PURE__*/_react["default"].createElement(_index.AccordionItem, {
      id: "2"
    }, /*#__PURE__*/_react["default"].createElement("div", null, "Acc-2"), /*#__PURE__*/_react["default"].createElement("div", {
      "data-id": "data"
    }, "Data2"))));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'data').textContent.contains('Data2')).toBe(true);
  });
  it('accordion item 2 click check', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_index.Accordion, {
      selectedItem: "1",
      height: "100px",
      maxheight: "100px"
    }, /*#__PURE__*/_react["default"].createElement(_index.AccordionItem, {
      id: "1"
    }, /*#__PURE__*/_react["default"].createElement("div", null, "Acc-1"), /*#__PURE__*/_react["default"].createElement("div", {
      "data-id": "data"
    }, "Data1")), /*#__PURE__*/_react["default"].createElement(_index.AccordionItem, {
      id: "2"
    }, /*#__PURE__*/_react["default"].createElement("div", {
      "data-id": "ah2"
    }, "Acc-2"), /*#__PURE__*/_react["default"].createElement("div", {
      "data-id": "data1"
    }, "Data2"))));
    var acc2 = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'ah2');
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'data').textContent.contains('Data1')).toBe(true);
    TestUtils.Simulate.click(acc2);
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'data1').textContent.contains('Data2')).toBe(true);
  });
  it('accordion click callback check ', function () {
    var mockfn = jest.fn();
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_index.Accordion, {
      selectedItem: "1",
      height: "100px",
      maxheight: "100px",
      onSelect: mockfn
    }, /*#__PURE__*/_react["default"].createElement(_index.AccordionItem, {
      id: "1"
    }, /*#__PURE__*/_react["default"].createElement("div", null, "Acc-1"), /*#__PURE__*/_react["default"].createElement("div", {
      "data-id": "data"
    }, "Data1")), /*#__PURE__*/_react["default"].createElement(_index.AccordionItem, {
      id: "2"
    }, /*#__PURE__*/_react["default"].createElement("div", {
      "data-id": "ah2"
    }, "Acc-2"), /*#__PURE__*/_react["default"].createElement("div", {
      "data-id": "data"
    }, "Data2"))));
    var acc2 = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'ah2');
    TestUtils.Simulate.click(acc2);
    expect(mockfn.mock.calls.length).toBe(1);
  });
});