"use strict";

var _react = _interopRequireDefault(require("react"));

var _Avatar = _interopRequireDefault(require("../Avatar"));

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var avatarURL = 'avatar.jpg';
describe('Avatar component', function () {
  it('should display initial', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Avatar["default"], {
      name: "vimalesan a"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display avatar image and initial while avatar loading...', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Avatar["default"], {
      name: "vimalesan a",
      src: avatarURL
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display initial if invalid url', function () {
    _Avatar["default"].invalidImageURLs.push(avatarURL);

    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Avatar["default"], {
      name: "vimalesan a",
      src: avatarURL
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display image valid url', function () {
    _Avatar["default"].invalidImageURLs.length = 0;

    _Avatar["default"].validImageURLs.push(avatarURL);

    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Avatar["default"], {
      name: "vimalesan a",
      src: avatarURL
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the palette is default', function () {
    _Avatar["default"].invalidImageURLs.length = 0;

    _Avatar["default"].validImageURLs.push(avatarURL);

    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Avatar["default"], {
      name: "vimalesan a",
      src: avatarURL,
      palette: "default"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the palette is secondary', function () {
    _Avatar["default"].invalidImageURLs.length = 0;

    _Avatar["default"].validImageURLs.push(avatarURL);

    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Avatar["default"], {
      name: "vimalesan a",
      src: avatarURL,
      palette: "secondary"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the palette is info', function () {
    _Avatar["default"].invalidImageURLs.length = 0;

    _Avatar["default"].validImageURLs.push(avatarURL);

    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Avatar["default"], {
      name: "vimalesan a",
      src: avatarURL,
      palette: "info"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the shape is square', function () {
    _Avatar["default"].invalidImageURLs.length = 0;

    _Avatar["default"].validImageURLs.push(avatarURL);

    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Avatar["default"], {
      name: "vimalesan a",
      src: avatarURL,
      shape: "square"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the size is small', function () {
    _Avatar["default"].invalidImageURLs.length = 0;

    _Avatar["default"].validImageURLs.push(avatarURL);

    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Avatar["default"], {
      name: "vimalesan a",
      src: avatarURL,
      size: "square"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the size is xsmall', function () {
    _Avatar["default"].invalidImageURLs.length = 0;

    _Avatar["default"].validImageURLs.push(avatarURL);

    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Avatar["default"], {
      name: "vimalesan a",
      src: avatarURL,
      size: "xsmall"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the size is xmedium', function () {
    _Avatar["default"].invalidImageURLs.length = 0;

    _Avatar["default"].validImageURLs.push(avatarURL);

    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Avatar["default"], {
      name: "vimalesan a",
      src: avatarURL,
      size: "xmedium"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the size is large', function () {
    _Avatar["default"].invalidImageURLs.length = 0;

    _Avatar["default"].validImageURLs.push(avatarURL);

    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Avatar["default"], {
      name: "vimalesan a",
      src: avatarURL,
      size: "large"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should the size is xlarge', function () {
    _Avatar["default"].invalidImageURLs.length = 0;

    _Avatar["default"].validImageURLs.push(avatarURL);

    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Avatar["default"], {
      name: "vimalesan a",
      src: avatarURL,
      size: "xlarge"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should have title', function () {
    _Avatar["default"].invalidImageURLs.length = 0;

    _Avatar["default"].validImageURLs.push(avatarURL);

    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Avatar["default"], {
      name: "vimalesan a",
      src: avatarURL,
      title: "Sample Title"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should no need title', function () {
    _Avatar["default"].invalidImageURLs.length = 0;

    _Avatar["default"].validImageURLs.push(avatarURL);

    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Avatar["default"], {
      name: "vimalesan a",
      src: avatarURL,
      needTitle: false
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
});