"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

var _DateTime = _interopRequireWildcard(require("../DateTime"));

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/* eslint-disable no-undef */

/*eslint-disable no-unused-vars*/
var defaultProps = {
  value: '2018-12-27T12:02:07.000Z',
  isDateTimeField: false,
  onSelect: jest.fn(),
  timeZone: '',
  min: '',
  max: '',
  maxErrorText: '',
  minErrorText: '',
  position: 'bottomLeft',
  isActive: true,
  onError: jest.fn(),
  isReady: true
};
describe('DateTime testing', function () {
  it('Should call handleSelect onSetting date', function () {
    var _setup = setup(_DateTime["default"], defaultProps),
        props = _setup.props,
        renderedDOM = _setup.renderedDOM;

    var component = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'dateTime_saveBtn')[0];
    TestUtils.Simulate.click(component);
    expect(props.onSelect).toHaveBeenCalled();
  });
  it('Should call handleSelect onClearing date', function () {
    var _setup2 = setup(_DateTime["default"], defaultProps),
        props = _setup2.props,
        renderedDOM = _setup2.renderedDOM;

    var component = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'dateTime_clearBtn')[0];
    TestUtils.Simulate.click(component);
    expect(props.onSelect).toHaveBeenCalled();
  });
  it('Should display Time field if isDateTimeField is true', function () {
    var _setup3 = setup(_DateTime["default"], Object.assign({}, defaultProps, {
      isDateTimeField: true
    })),
        props = _setup3.props,
        renderedDOM = _setup3.renderedDOM;

    var selectComponents = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'dateTime_timeContainer');
    expect(selectComponents.length).toBe(1);
  });
  it('Should not  display Time field if isDateTimeField is false', function () {
    var _setup4 = setup(_DateTime["default"], Object.assign({}, defaultProps, {
      isDateTimeField: false
    })),
        props = _setup4.props,
        renderedDOM = _setup4.renderedDOM;

    var selectComponents = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'dateTime_timeContainer');
    expect(selectComponents.length).toBe(0);
  });
  it('Should navigate to prevYear onClicking prevYear(<<)', function () {
    var _setup5 = setup(_DateTime.Span, Object.assign({}, defaultProps, {
      dataId: 'prevYear',
      type: 'll',
      modifyCalendar: jest.fn()
    })),
        props = _setup5.props,
        renderedDOM = _setup5.renderedDOM;

    var prevYearComponents = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'prevYear');
    TestUtils.Simulate.click(prevYearComponents);
    expect(props.modifyCalendar).toHaveBeenCalled();
    expect(props.modifyCalendar).toHaveBeenLastCalledWith(props.type);
  });
  it('Should navigate to prevMonth onClicking prevMonth(<)', function () {
    var _setup6 = setup(_DateTime.Span, Object.assign({}, defaultProps, {
      dataId: 'prevMonth',
      type: 'l',
      modifyCalendar: jest.fn()
    })),
        props = _setup6.props,
        renderedDOM = _setup6.renderedDOM;

    var prevMonthComponents = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'prevMonth');
    TestUtils.Simulate.click(prevMonthComponents);
    expect(props.modifyCalendar).toHaveBeenCalled();
    expect(props.modifyCalendar).toHaveBeenLastCalledWith(props.type);
  });
  it('Should navigate to nextMonth onClicking nextMonth(>)', function () {
    var _setup7 = setup(_DateTime.Span, Object.assign({}, defaultProps, {
      dataId: 'nextMonth',
      type: 'g',
      modifyCalendar: jest.fn()
    })),
        props = _setup7.props,
        renderedDOM = _setup7.renderedDOM;

    var nextMonthComponents = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'nextMonth');
    TestUtils.Simulate.click(nextMonthComponents);
    expect(props.modifyCalendar).toHaveBeenCalled();
    expect(props.modifyCalendar).toHaveBeenLastCalledWith(props.type);
  });
  it('Should navigate to nextYear onClicking nextYear(>>)', function () {
    var _setup8 = setup(_DateTime.Span, Object.assign({}, defaultProps, {
      dataId: 'nextyear',
      type: 'gg',
      modifyCalendar: jest.fn()
    })),
        props = _setup8.props,
        renderedDOM = _setup8.renderedDOM;

    var nextyearComponents = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'nextyear');
    TestUtils.Simulate.click(nextyearComponents);
    expect(props.modifyCalendar).toHaveBeenCalled();
    expect(props.modifyCalendar).toHaveBeenLastCalledWith(props.type);
  });
});