"use strict";

var _DateWidget = _interopRequireDefault(require("../DateWidget"));

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/* eslint-disable no-undef */

/*eslint-disable no-unused-vars*/
var defaultProps = {
  children: null,
  closePopupOnly: jest.fn(),
  dateTimeSelect: jest.fn(),
  defaultPosition: 'top',
  displayFormat: 'M/D/YYYY',
  getContainerRef: jest.fn(),
  getRef: jest.fn(),
  getTargetRef: jest.fn(),
  id: '',
  isDateTime: true,
  isDisabled: true,
  isPopupOpen: true,
  isPopupReady: true,
  isReadOnly: true,
  max: '',
  maxErrorText: '',
  min: '',
  minErrorText: '',
  onFailValidation: jest.fn(),
  onPassValidation: jest.fn(),
  onSelect: jest.fn(),
  placeholder: '',
  position: 'bottomLeft',
  removeClose: jest.fn(),
  textBoxSize: 'xmedium',
  textBoxVariant: 'primary',
  timeZone: '',
  togglePopup: jest.fn(),
  validation: {
    validate: true,
    validateOn: '',
    rulesOrder: [''],
    rules: {},
    messages: {}
  },
  value: ''
};
describe('DateWidgetComponent testing', function () {
  it('Should not  render dateTime if isReadOnly is true', function () {
    var _setup = setup(_DateWidget["default"], Object.assign({}, defaultProps, {
      isReadOnly: true
    })),
        props = _setup.props,
        renderedDOM = _setup.renderedDOM;

    var dropboxComponent = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'dateWidget_dateBoxContainer');
    expect(dropboxComponent.length).toBe(0);
  }); // it('Should render dateTime if isReadOnly is false', () => {
  //   const { props, renderedDOM } = setup(DateWidget, Object.assign({}, defaultProps, { isReadOnly: false }));
  //   let dropboxComponent = TestUtils.scryRenderedComponentsWithTestid(
  //     renderedDOM,
  //     'dropBox'
  //   );
  //   expect(dropboxComponent.length).toBe(4);
  // });

  it('Should render children if children is given', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_DateWidget["default"], defaultProps, /*#__PURE__*/_react["default"].createElement("div", {
      "data-id": "children"
    })));
    var children = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'dateWidget_disabled');
    expect(children.length).toBe(1);
  });
  it('Should not render children if children is not given', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_DateWidget["default"], defaultProps));
    var children = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'dateWidget_disabled');
    expect(children.length).toBe(1);
  });
});