"use strict";

var _react = _interopRequireDefault(require("react"));

var _DropBox = _interopRequireDefault(require("../DropBox"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var defaultProps = {
  onClick: jest.fn()
};
describe('DropBox component', function () {
  it('Should Arrow element visible', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_DropBox["default"], {
      onClick: jest.fn(),
      isArrow: true
    }));
    var x = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'dropBox_arrow');
    expect(x.length).toBe(1);
  });
  it('Should Arrow element disable', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_DropBox["default"], {
      onClick: jest.fn(),
      isArrow: false
    }));
    var x = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'dropbox_arrow');
    expect(x.length).toBe(0);
  });
  it('Should call onclick container function', function () {
    var _setup = setup(_DropBox["default"], defaultProps),
        props = _setup.props,
        renderedDOM = _setup.renderedDOM;

    var component = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'dropBox_subcontainer');
    TestUtils.Simulate.click(component);
    expect(props.onClick).toHaveBeenCalled();
  });
  it('Should check render proper class name(hidden)', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_DropBox["default"], {
      isActive: false,
      isArrow: true
    }));
    var x = TestUtils.scryRenderedDOMComponentsWithClass(renderedDOM, 'hidden');
    expect(x.length).toBe(1);
  });
  it('Should check render proper class name(size)', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_DropBox["default"], {
      isArrow: true,
      size: 'xsmall'
    }));
    var x = TestUtils.scryRenderedDOMComponentsWithClass(renderedDOM, 'xsmall');
    expect(x.length).toBe(1);
  });
  it('Should check render proper class name(boxPosition)', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_DropBox["default"], {
      boxPosition: 'bottomRight'
    }));
    var x = TestUtils.scryRenderedDOMComponentsWithClass(renderedDOM, 'bottomEnd');
    expect(x.length).toBe(1);
  });
  it('Should check render proper class name(isAnimate & isActive)', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_DropBox["default"], {
      isArrow: true,
      isAnimate: true,
      isActive: true
    }));
    var x = TestUtils.scryRenderedDOMComponentsWithClass(renderedDOM, 'fadeInScale');
    expect(x.length).toBe(1);
  });
  it('Should check render proper class name(isAnimate & isActive)', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_DropBox["default"], {
      isArrow: true,
      isAnimate: true,
      isActive: true
    }));
    var x = TestUtils.scryRenderedDOMComponentsWithClass(renderedDOM, 'fadeInScale');
    expect(x.length).toBe(1);
  });
  it('Should check render proper class name(arrowPosition)', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_DropBox["default"], {
      isArrow: true,
      arrowPosition: 'end'
    }));
    var x = TestUtils.scryRenderedDOMComponentsWithClass(renderedDOM, 'end');
    expect(x.length).toBe(1);
  });
});