"use strict";

var _react = _interopRequireDefault(require("react"));

var _DropDownItem = _interopRequireDefault(require("../DropDownItem"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var defaultProps = {
  onClick: jest.fn(),
  onHover: jest.fn(),
  active: true,
  hightlight: true,
  children: /*#__PURE__*/_react["default"].createElement("div", {
    "data-id": "childElem"
  }, "test")
};
describe('DropDownItem component Test Cases', function () {
  it('Should check render proper class name(hightlight)', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_DropDownItem["default"], {
      hightlight: true
    }));
    var x = TestUtils.scryRenderedDOMComponentsWithClass(renderedDOM, 'listHover');
    expect(x.length).toBe(1);
  });
  it('Should check render proper class name(active)', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_DropDownItem["default"], {
      active: true
    }));
    var x = TestUtils.scryRenderedDOMComponentsWithClass(renderedDOM, 'active');
    expect(x.length).toBe(1);
  });
  it('Should onClick method get called', function () {
    var _setup = setup(_DropDownItem["default"], defaultProps),
        props = _setup.props,
        renderedDOM = _setup.renderedDOM;

    var component = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'dropDwnItemContainer');
    TestUtils.Simulate.click(component);
    expect(props.onClick).toHaveBeenCalled();
  });
  it('Should onHover method get called', function () {
    var _setup2 = setup(_DropDownItem["default"], defaultProps),
        props = _setup2.props,
        renderedDOM = _setup2.renderedDOM;

    var component = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'dropDwnItemContainer');
    TestUtils.Simulate.mouseOver(component);
    expect(props.onHover).toHaveBeenCalled();
  });
});