"use strict";

var _react = _interopRequireDefault(require("react"));

var _Label = _interopRequireDefault(require("../Label"));

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/* eslint-disable no-undef */
describe('Label Props Check', function () {
  it('Display proper text', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
      text: "text1"
    }));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'label').textContent).toMatch(/text1/);
  });
  it('Check if clipped style is applied', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
      text: "text1",
      clipped: true
    }));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'label').className).toMatch(/dotted/);
  });
  it('Check if clipped style is not applied', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
      text: "text1",
      clipped: false
    }));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'label').className).not.toMatch(/dotted/);
  });
  it('Check for the prop name', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
      text: "text1",
      name: "1234"
    }));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'label').getAttribute('name')).toMatch(/1234/);
  });
  it('Check for the prop title', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
      text: "text1",
      title: "1234"
    }));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'label').getAttribute('data-title')).toMatch(/1234/);
  });
  it('should be having palette default', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
      text: "text1",
      palette: "default"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should be having palette primary', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
      text: "text1",
      palette: "primary"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should be having palette secondary', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
      text: "text1",
      palette: "secondary"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should be having palette danger', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
      text: "text1",
      palette: "danger"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should be having palette mandatory', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
      text: "text1",
      palette: "mandatory"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should be having size small', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
      text: "text1",
      size: "small"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should be having size medium', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
      text: "text1",
      size: "medium"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should be having size large', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
      text: "text1",
      size: "large"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should be having type title', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
      text: "text1",
      type: "title"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should be having type subtitle', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
      text: "text1",
      type: "subtitle"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
});