"use strict";

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("../Box"));

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('Layout Component', function () {
  it('Should contains the data-scroll is true', function () {
    var _setup = setup(_Box["default"], {
      isScrollAttribute: true
    }),
        props = _setup.props,
        renderedDOM = _setup.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').getAttribute('data-scroll').contains(true)).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup2 = setup(_Box["default"], {
      flexible: true
    }),
        props = _setup2.props,
        renderedDOM = _setup2.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('grow basis')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup3 = setup(_Box["default"], {
      flexible: true,
      adjust: true
    }),
        props = _setup3.props,
        renderedDOM = _setup3.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('grow')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup4 = setup(_Box["default"], {
      adjust: true
    }),
        props = _setup4.props,
        renderedDOM = _setup4.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('basisAuto')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup5 = setup(_Box["default"], {
      shrink: false
    }),
        props = _setup5.props,
        renderedDOM = _setup5.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('shrink')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup6 = setup(_Box["default"], {
      shrink: true
    }),
        props = _setup6.props,
        renderedDOM = _setup6.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('shrinkOn')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup7 = setup(_Box["default"], {
      hidden: ['lg']
    }),
        props = _setup7.props,
        renderedDOM = _setup7.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('hidden-screen-lg')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup8 = setup(_Box["default"], {
      column: '4'
    }),
        props = _setup8.props,
        renderedDOM = _setup8.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('col-4')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup9 = setup(_Box["default"], {
      scroll: 'horizontal'
    }),
        props = _setup9.props,
        renderedDOM = _setup9.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('scrollx')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup10 = setup(_Box["default"], {
      scroll: 'vertical'
    }),
        props = _setup10.props,
        renderedDOM = _setup10.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('scrolly')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup11 = setup(_Box["default"], {
      scroll: 'both'
    }),
        props = _setup11.props,
        renderedDOM = _setup11.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('scrollboth')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup12 = setup(_Box["default"], {
      scroll: 'none'
    }),
        props = _setup12.props,
        renderedDOM = _setup12.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'boxComponent').className.contains('scrollnone')).toBe(true);
  });
});