"use strict";

var _react = _interopRequireDefault(require("react"));

var _Container = _interopRequireDefault(require("../Container"));

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('Layout Component', function () {
  it('Should contains the data-scroll is true', function () {
    var _setup = setup(_Container["default"], {
      isScrollAttribute: true
    }),
        props = _setup.props,
        renderedDOM = _setup.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').getAttribute('data-scroll').contains(true)).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup2 = setup(_Container["default"]),
        props = _setup2.props,
        renderedDOM = _setup2.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('flex')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup3 = setup(_Container["default"], {
      alignBox: 'row'
    }),
        props = _setup3.props,
        renderedDOM = _setup3.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('rowdir')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup4 = setup(_Container["default"], {
      alignBox: 'row-reverse'
    }),
        props = _setup4.props,
        renderedDOM = _setup4.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('rowReverse')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup5 = setup(_Container["default"], {
      hidden: ['lg']
    }),
        props = _setup5.props,
        renderedDOM = _setup5.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('hidden-screen-lg')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup6 = setup(_Container["default"], {
      wrap: 'wrap'
    }),
        props = _setup6.props,
        renderedDOM = _setup6.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('wrap')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup7 = setup(_Container["default"], {
      align: 'horizontal'
    }),
        props = _setup7.props,
        renderedDOM = _setup7.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('hCenter')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup8 = setup(_Container["default"], {
      align: 'vertical'
    }),
        props = _setup8.props,
        renderedDOM = _setup8.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('vCenter')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup9 = setup(_Container["default"], {
      align: 'both'
    }),
        props = _setup9.props,
        renderedDOM = _setup9.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('both')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup10 = setup(_Container["default"], {
      scroll: 'horizontal'
    }),
        props = _setup10.props,
        renderedDOM = _setup10.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('scrollx')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup11 = setup(_Container["default"], {
      scroll: 'vertical'
    }),
        props = _setup11.props,
        renderedDOM = _setup11.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('scrolly')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup12 = setup(_Container["default"], {
      scroll: 'both'
    }),
        props = _setup12.props,
        renderedDOM = _setup12.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('scrollboth')).toBe(true);
  });
  it('Should contains the default class', function () {
    var _setup13 = setup(_Container["default"], {
      scroll: 'none'
    }),
        props = _setup13.props,
        renderedDOM = _setup13.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('scrollnone')).toBe(true);
  });
});