"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

var _react = _interopRequireDefault(require("react"));

var _reactDom = _interopRequireDefault(require("react-dom"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Popup = _interopRequireDefault(require("../Popup"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var SamplePopup = /*#__PURE__*/function (_React$Component) {
  _inherits(SamplePopup, _React$Component);

  var _super = _createSuper(SamplePopup);

  function SamplePopup(props) {
    _classCallCheck(this, SamplePopup);

    return _super.call(this, props);
  }

  _createClass(SamplePopup, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/_react["default"].createElement("div", null, "Sample Popup");
    }
  }]);

  return SamplePopup;
}(_react["default"].Component);

var SamplePopupCopy = /*#__PURE__*/function (_React$Component2) {
  _inherits(SamplePopupCopy, _React$Component2);

  var _super2 = _createSuper(SamplePopupCopy);

  function SamplePopupCopy(props) {
    _classCallCheck(this, SamplePopupCopy);

    return _super2.call(this, props);
  }

  _createClass(SamplePopupCopy, [{
    key: "render",
    value: function render() {
      var _this = this;

      return /*#__PURE__*/_react["default"].createElement("div", {
        "data-id": "samplePopup",
        onClick: function onClick(ev) {
          _this.props.removeClose(ev);
        }
      }, "Sample Popup");
    }
  }]);

  return SamplePopupCopy;
}(_react["default"].Component);

SamplePopupCopy.propTypes = {
  removeClose: _propTypes["default"].func
};

var SamplePopupCopy1 = /*#__PURE__*/function (_React$Component3) {
  _inherits(SamplePopupCopy1, _React$Component3);

  var _super3 = _createSuper(SamplePopupCopy1);

  function SamplePopupCopy1(props) {
    _classCallCheck(this, SamplePopupCopy1);

    return _super3.call(this, props);
  }

  _createClass(SamplePopupCopy1, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/_react["default"].createElement("div", {
        "data-id": "samplePopup"
      }, "Sample Popup");
    }
  }]);

  return SamplePopupCopy1;
}(_react["default"].Component);

describe('Popup component conditions', function () {
  it('should click same popup with removeClose', function () {
    var PopupWrapperComponent = (0, _Popup["default"])(SamplePopupCopy);
    var div = document.createElement('div');
    document.body.append(div);
    /*eslint-disable */

    var popupDom = _reactDom["default"].render( /*#__PURE__*/_react["default"].createElement(PopupWrapperComponent, null), div);
    /*eslint-enable */


    popupDom.togglePopup();
    expect(popupDom.state.isPopupOpen).toBeTruthy();
    var popupEle = TestUtils.findRenderedComponentsWithTestid(popupDom, 'samplePopup');
    popupEle.click();
    expect(popupDom.state.isPopupOpen).toBeTruthy();
  });
  it('should open popup and close popup', function () {
    var PopupWrapperComponent = (0, _Popup["default"])(SamplePopup);
    var popupDom = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(PopupWrapperComponent, null));
    popupDom.openPopupOnly();
    expect(popupDom.state.isPopupOpen).toBeTruthy();
    popupDom.closePopupOnly();
    expect(popupDom.state.isPopupOpen).toBeFalsy();
  });
  it('should close another popup already one opened', function () {
    var PopupWrapperComponent1 = (0, _Popup["default"])(SamplePopup);
    var popupDom1 = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(PopupWrapperComponent1, null));
    var PopupWrapperComponent2 = (0, _Popup["default"])(SamplePopup);
    var popupDom2 = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(PopupWrapperComponent2, null));
    popupDom1.togglePopup();
    expect(popupDom1.state.isPopupOpen).toBeTruthy();
    expect(popupDom2.state.isPopupOpen).toBeFalsy();
    popupDom2.togglePopup();
    expect(popupDom1.state.isPopupOpen).toBeFalsy();
    expect(popupDom2.state.isPopupOpen).toBeTruthy();
  });
  it('should click document close opened popup', function () {
    var PopupWrapperComponent = (0, _Popup["default"])(SamplePopup);
    var popupDom = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(PopupWrapperComponent, null));
    popupDom.togglePopup();
    expect(popupDom.state.isPopupOpen).toBeTruthy();
    document.body.click();
    expect(popupDom.state.isPopupOpen).toBeFalsy();
  });
  it('should click same popup with out removeClose', function () {
    var PopupWrapperComponent = (0, _Popup["default"])(SamplePopupCopy1);
    var div = document.createElement('div');
    document.body.append(div);
    /*eslint-disable */

    var popupDom = _reactDom["default"].render( /*#__PURE__*/_react["default"].createElement(PopupWrapperComponent, null), div);
    /*eslint-enable */


    popupDom.togglePopup();
    expect(popupDom.state.isPopupOpen).toBeTruthy();
    var popupEle = TestUtils.findRenderedComponentsWithTestid(popupDom, 'samplePopup');
    popupEle.click();
    expect(popupDom.state.isPopupOpen).toBeFalsy();
  });
  it('should click document close opened popup', function () {
    var PopupWrapperComponent = (0, _Popup["default"])(SamplePopup);
    var popupDom = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(PopupWrapperComponent, null));
    popupDom.togglePopup();
    expect(popupDom.state.isPopupOpen).toBeTruthy();
    document.body.click();
    expect(popupDom.state.isPopupOpen).toBeFalsy();
  });
  it('should press esc key opened popup close', function () {
    var PopupWrapperComponent = (0, _Popup["default"])(SamplePopupCopy1);
    var popupDom = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(PopupWrapperComponent, null));
    popupDom.togglePopup();
    expect(popupDom.state.isPopupOpen).toBeTruthy(); //TestUtils.Simulate.keyUp(document, {keyCode:27});

    var e = document.createEvent('HTMLEvents');
    e.initEvent('keyup', false, true);
    e.keyCode = 27;
    document.dispatchEvent(e);
    expect(popupDom.state.isPopupOpen).toBeFalsy();
  });
}); //Group Popup Handling Open and close