"use strict";

var _react = _interopRequireDefault(require("react"));

var _Radio = _interopRequireDefault(require("../Radio"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('Radio component', function () {
  it('Should display Text', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_Radio["default"], {
      text: "test",
      id: "testid"
    }));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'test_label').textContent.contains('test')).toBe(true);
  });
  it('Should call onChange', function () {
    var _setup = setup(_Radio["default"], {
      onChange: jest.fn(),
      text: 'test'
    }),
        renderedDOM = _setup.renderedDOM,
        props = _setup.props;

    var radioElement = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'RadioComp');
    TestUtils.Simulate.click(radioElement, renderedDOM);
    expect(props.onChange).toHaveBeenCalled();
  });
});