"use strict";

var _react = _interopRequireDefault(require("react"));

var _Tab = _interopRequireDefault(require("../Tab"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('Tab Component', function () {
  it('Is Contains alpha class', function () {
    var _setup = setup(_Tab["default"], {
      type: 'alpha',
      needAppearance: true,
      getActiveRef: function getActiveRef() {}
    }),
        props = _setup.props,
        renderedDOM = _setup.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab').className.contains('tabAlpha')).toBe(true);
  });
  it('Is Contains beta class', function () {
    var _setup2 = setup(_Tab["default"], {
      type: 'beta',
      needAppearance: true,
      getActiveRef: function getActiveRef() {}
    }),
        props = _setup2.props,
        renderedDOM = _setup2.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab').className.contains('tabBeta')).toBe(true);
  });
  it('Is Contains gamma class', function () {
    var _setup3 = setup(_Tab["default"], {
      type: 'gamma',
      needAppearance: true,
      getActiveRef: function getActiveRef() {}
    }),
        props = _setup3.props,
        renderedDOM = _setup3.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab').className.contains('tab')).toBe(true);
  });
  it('Is Contains delta class', function () {
    var _setup4 = setup(_Tab["default"], {
      type: 'delta',
      needAppearance: true,
      getActiveRef: function getActiveRef() {}
    }),
        props = _setup4.props,
        renderedDOM = _setup4.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab').className.contains('tabDelta')).toBe(true);
  }); // it('Is Contains zeta class', () => {
  //   const { props, renderedDOM } = setup(Tab, { type: 'zeta', needAppearance: true, getActiveRef: () => { } });
  //   expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab').className.contains('tab')).toBe(true);
  // });
  // it('Is Contains special class', () => {
  //   const { props, renderedDOM } = setup(Tab, { type: 'special', getActiveRef: () => {} });
  //   expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab').className.contains('special')).toBe(true);
  //
  // });

  it('Is Contains active class', function () {
    var _setup5 = setup(_Tab["default"], {
      type: 'alpha',
      needAppearance: true,
      id: '0',
      selectedTab: '0',
      isActive: true,
      getActiveRef: function getActiveRef() {}
    }),
        props = _setup5.props,
        renderedDOM = _setup5.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab').className.contains('alphaActive')).toBe(true);
  });
  it('Is Contains border class', function () {
    var _setup6 = setup(_Tab["default"], {
      isActive: true,
      type: 'alpha',
      needAppearance: true,
      needBorder: true,
      getActiveRef: function getActiveRef() {}
    }),
        props = _setup6.props,
        renderedDOM = _setup6.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab').className.contains('alphaActive_border')).toBe(true);
  });
  it('Is call onClick', function () {
    var _setup7 = setup(_Tab["default"], {
      id: '2',
      onClick: jest.fn(),
      onSelect: jest.fn(),
      getActiveRef: function getActiveRef() {}
    }),
        renderedDOM = _setup7.renderedDOM,
        props = _setup7.props;

    var tabElement = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab');
    TestUtils.Simulate.click(tabElement, {
      currentTarget: {
        offsetLeft: 0,
        offsetWidth: 0
      }
    });
    expect(props.onClick).toHaveBeenCalled();
    expect(props.onSelect).toHaveBeenLastCalledWith('2');
  });
  it('is render text span', function () {
    var _setup8 = setup(_Tab["default"], {
      type: 'alpha',
      dataId: 'taskSubtab1',
      text: 'Tab1',
      getActiveRef: function getActiveRef() {}
    }),
        renderedDOM = _setup8.renderedDOM,
        props = _setup8.props;

    var tabElement = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'taskSubtab1_Tab');
    expect(tabElement.getAttribute('data-id')).toBe('taskSubtab1_Tab');
  });
});