"use strict";

var _react = _interopRequireDefault(require("react"));

var _TabContentWrapper = _interopRequireDefault(require("../TabContentWrapper"));

var _TabContent = _interopRequireDefault(require("../TabContent"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('TabContentWrapper Component', function () {
  it('is children rendered class', function () {
    var _setup = setup(_TabContentWrapper["default"], {
      selectedTab: '0',
      children: [/*#__PURE__*/_react["default"].createElement(_TabContent["default"], {
        id: '0',
        key: 0
      }, /*#__PURE__*/_react["default"].createElement("div", {
        "data-id": "child1"
      }, " Tab 1")), /*#__PURE__*/_react["default"].createElement(_TabContent["default"], {
        id: '1',
        key: 1
      }, /*#__PURE__*/_react["default"].createElement("div", {
        "data-id": "child2"
      }, " Tab 2"))]
    }),
        props = _setup.props,
        renderedDOM = _setup.renderedDOM;

    var component = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'child1');
    expect(component.getAttribute('data-id')).toBe('child1');
  });
  it('is only selected TabContent rendered ', function () {
    var Tab1 = /*#__PURE__*/_react["default"].createElement(_TabContent["default"], {
      id: '0',
      key: 0
    }, /*#__PURE__*/_react["default"].createElement("div", {
      className: "not-render",
      "data-id": "child1"
    }, ' ', "Tab 1"));

    var Tab2 = /*#__PURE__*/_react["default"].createElement(_TabContent["default"], {
      id: '1',
      key: 1
    }, /*#__PURE__*/_react["default"].createElement("div", {
      className: "not-render"
    }, " Tab 2"), "TabContent 2");

    var _setup2 = setup(_TabContentWrapper["default"], {
      selectedTab: '0',
      children: [Tab1, Tab2]
    }),
        props = _setup2.props,
        renderedDOM = _setup2.renderedDOM;

    var component = TestUtils.scryRenderedDOMComponentsWithClass(renderedDOM, 'not-render');
    expect(component.length).toBe(1);
  });
});