"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactDom = _interopRequireDefault(require("react-dom"));

var _TabWrapper = _interopRequireDefault(require("../TabWrapper"));

var _Tab = _interopRequireDefault(require("../Tab"));

var _Tabs = _interopRequireDefault(require("../Tabs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('TabWrapper Component', function () {
  it('is Tab rendered', function () {
    var onSelect = jest.fn();
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_TabWrapper["default"], {
      defaultTab: "0",
      type: "alpha",
      onSelect: onSelect
    }, /*#__PURE__*/_react["default"].createElement(_Tabs["default"], {
      isResponsive: false
    }, /*#__PURE__*/_react["default"].createElement(_Tab["default"], {
      key: '0',
      id: "0"
    }))));
    var tabChild = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab');
    expect(tabChild.getAttribute('data-id')).toBe('tabMenu_Tab');
  });
  it('is onSelect called', function () {
    var onSelect = jest.fn();
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_TabWrapper["default"], {
      defaultTab: "0",
      type: "alpha",
      onSelect: onSelect
    }, /*#__PURE__*/_react["default"].createElement(_Tabs["default"], {
      isResponsive: false
    }, /*#__PURE__*/_react["default"].createElement(_Tab["default"], {
      key: '0',
      id: "0"
    }))));
    var tabChild = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab');
    TestUtils.Simulate.click(tabChild, {
      currentTarget: {
        offsetLeft: 0,
        offsetWidth: 0
      }
    });
    expect(onSelect).toHaveBeenCalled();
  });
  it('is disable State internally', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_TabWrapper["default"], {
      defaultTab: "0",
      type: "alpha"
    }, /*#__PURE__*/_react["default"].createElement(_Tabs["default"], {
      isResponsive: false
    }, /*#__PURE__*/_react["default"].createElement(_Tab["default"], {
      key: '0',
      id: "0"
    }, "One"), /*#__PURE__*/_react["default"].createElement(_Tab["default"], {
      key: '1',
      id: "1"
    }, "Two"))));
    expect(renderedDOM.state.selectedTabInternal).toBe('0');
  });
  it('change selectedTab id', function () {
    var node = document.createElement('div');

    var children = /*#__PURE__*/_react["default"].createElement(_Tabs["default"], {
      isResponsive: false
    }, /*#__PURE__*/_react["default"].createElement(_Tab["default"], {
      key: '0',
      id: "0"
    }, "One"), /*#__PURE__*/_react["default"].createElement(_Tab["default"], {
      key: '1',
      id: "1"
    }, "Two"));
    /*eslint-disable */


    var renderedDOM = _reactDom["default"].render( /*#__PURE__*/_react["default"].createElement(_TabWrapper["default"], {
      defaultTab: '0',
      type: "alpha",
      hookToDisableInternalState: true
    }, children), node);

    var tab = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'tabMenu_Tab');
    expect(tab[0].className.contains('Active')).toBe(true);

    _reactDom["default"].render( /*#__PURE__*/_react["default"].createElement(_TabWrapper["default"], {
      defaultTab: '1',
      type: "alpha",
      hookToDisableInternalState: true
    }, children), node);

    expect(tab[0].className.contains('Active')).toBe(false);
    expect(tab[1].className.contains('Active')).toBe(true);
  });
});