"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactDom = _interopRequireDefault(require("react-dom"));

var _Tab = _interopRequireDefault(require("../Tab"));

var _Tabs = _interopRequireDefault(require("../Tabs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var defaultProps = {
  type: 'alpha',
  selectedTab: '0',
  children: [/*#__PURE__*/_react["default"].createElement("div", {
    key: 0,
    "data-id": "customtab"
  }, "Not tab component")],
  isResponsive: false
};
var tabChildrenProps = {
  type: 'alpha',
  isResponsive: false,
  selectedTab: '0',
  children: [/*#__PURE__*/_react["default"].createElement(_Tab["default"], {
    style: {
      width: '200px'
    },
    key: 0,
    id: '0'
  }, "Tab component")]
};
describe('Tabs Component', function () {
  it('is contains alpha class', function () {
    var _setup = setup(_Tabs["default"], {
      type: 'alpha',
      isResponsive: false
    }),
        props = _setup.props,
        renderedDOM = _setup.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('alpha')).toBe(true);
  });
  it('is contains special class', function () {
    var _setup2 = setup(_Tabs["default"], {
      type: 'special'
    }),
        props = _setup2.props,
        renderedDOM = _setup2.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('special')).toBe(true);
  });
  it('is contains border class', function () {
    var _setup3 = setup(_Tabs["default"], {
      type: 'alpha',
      needBorder: true
    }),
        props = _setup3.props,
        renderedDOM = _setup3.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('border')).toBe(true);
  });
  it('is contains padding class', function () {
    var _setup4 = setup(_Tabs["default"], {
      type: 'alpha',
      needPadding: true
    }),
        props = _setup4.props,
        renderedDOM = _setup4.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('padding')).toBe(true);
  });
  it('is contains custom class', function () {
    var _setup5 = setup(_Tabs["default"], {
      type: 'alpha',
      className: 'customClass'
    }),
        props = _setup5.props,
        renderedDOM = _setup5.renderedDOM;

    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'containerComponent').className.contains('customClass')).toBe(true);
  });
  it('did render custom tab', function () {
    var _setup6 = setup(_Tabs["default"], defaultProps),
        props = _setup6.props,
        renderedDOM = _setup6.renderedDOM;

    var component = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'customtab');
    expect(component.getAttribute('data-id')).toBe('customtab');
  });
  it('did render Tab', function () {
    var _setup7 = setup(_Tabs["default"], tabChildrenProps),
        props = _setup7.props,
        renderedDOM = _setup7.renderedDOM;

    var component = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'taskSubtab');
    expect(component.getAttribute('data-id')).toBe('taskSubtab');
  });
  it('move Highlight called', function () {
    var _setup8 = setup(_Tabs["default"], Object.assign({}, tabChildrenProps, {
      isAnimate: true,
      needTabBorder: true
    })),
        props = _setup8.props,
        renderedDOM = _setup8.renderedDOM;

    var component = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'highlight');
    expect(component.getAttribute('style')).toBe('left: 0; width: 0;');
  });
  fit('isResponsive called', function () {
    var _setup9 = setup(_Tabs["default"], Object.assign({}, tabChildrenProps, {
      isAnimate: true,
      isResponsive: true,
      needTabBorder: true
    })),
        props = _setup9.props,
        renderedDOM = _setup9.renderedDOM;

    var component = TestUtils.scryRenderedComponentsWithTestid(renderedDOM, 'taskSubtab');
    expect(component.length).toBe(0);
  });
});