"use strict";

var _react = _interopRequireDefault(require("react"));

var _TextBox = _interopRequireDefault(require("../TextBox"));

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('TextBox component', function () {
  it('should display size small', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_TextBox["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      size: "small",
      variant: "default"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size medium', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_TextBox["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      size: "medium",
      variant: "default"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size xmedium', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_TextBox["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      size: "xmedium",
      variant: "default"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size small - primary', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_TextBox["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      size: "small",
      variant: "primary"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size medium - primary', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_TextBox["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      size: "medium",
      variant: "primary"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size xmedium - primary', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_TextBox["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      size: "xmedium",
      variant: "primary"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size small - secondary', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_TextBox["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      size: "small",
      variant: "secondary"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size medium - secondary', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_TextBox["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      size: "medium",
      variant: "secondary"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size xmedium - secondary', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_TextBox["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      size: "xmedium",
      variant: "secondary"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should text propertly entered', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_TextBox["default"], {
      maxLength: "100",
      placeHolder: "Text Box",
      size: "medium",
      variant: "primary",
      value: "Text Box Working"
    }));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'textBox').value.contains('Text Box Working')).toBe(true);
  });
  it('should placeHolder propertly entered', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_TextBox["default"], {
      maxLength: "100",
      placeHolder: "Text Box",
      size: "medium",
      variant: "primary",
      text: "Text Box Working"
    }));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'textBox').getAttribute('placeholder')).toMatch(/Text Box/);
  }); // it('Check disabled works', () => {
  //   let renderedDOM = TestUtils.renderIntoDocument(
  //     <TextBox maxLength='100' placeHolder='Text Box' size='medium' variant='primary' value='Text Box Working' disabled />
  //   );
  //   let pass = false;
  //   let classNames = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'textBox').classList;
  //   Object.keys(classNames)
  //     .map(className => {
  //       if (classNames[className] == 'disabled') {
  //         pass = true;
  //       }
  //     });
  //   expect(
  //     pass
  //   ).toBe(true);
  // });
  // it('Check readOnly works', () => {
  //   let renderedDOM = TestUtils.renderIntoDocument(
  //     <TextBox maxLength='100' placeHolder='Text Box' size='medium' variant='primary' value='Text Box Working' readOnly />
  //   );
  //   let pass = false;
  //   let classNames = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'textBox').classList;
  //   Object.keys(classNames)
  //     .map(className => {
  //       if (classNames[className] == 'pointer') {
  //         pass = true;
  //       }
  //     });
  //   expect(
  //     pass
  //   ).toBe(true);
  // });

  it('Check onchange works', function () {
    var mockfn = jest.fn();
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_TextBox["default"], {
      maxLength: "100",
      placeHolder: "Text Box",
      size: "medium",
      variant: "primary",
      value: "Text Box Working",
      onChange: mockfn
    }));
    var onChangeEle = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'textBox');
    TestUtils.Simulate.change(onChangeEle);
    expect(mockfn.mock.calls.length).toBe(1);
  });
  it('Check onBlur works', function () {
    var mockfn = jest.fn();
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_TextBox["default"], {
      maxLength: "100",
      placeHolder: "Text Box",
      size: "medium",
      variant: "primary",
      value: "Text Box Working",
      onBlur: mockfn
    }));
    var onBlurEle = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'textBox');
    TestUtils.Simulate.blur(onBlurEle);
    expect(mockfn.mock.calls.length).toBe(1);
  });
  it('Check onFocus works', function () {
    var mockfn = jest.fn();
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_TextBox["default"], {
      maxLength: "100",
      placeHolder: "Text Box",
      size: "medium",
      variant: "primary",
      value: "Text Box Working",
      onFocus: mockfn
    }));
    var onFocusEle = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'textBox');
    TestUtils.Simulate.focus(onFocusEle);
    expect(mockfn.mock.calls.length).toBe(1);
  });
});