"use strict";

var _react = _interopRequireDefault(require("react"));

var _Textarea = _interopRequireDefault(require("../Textarea"));

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('Textarea component', function () {
  it('should display size xsmall', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Textarea["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "xsmall",
      variant: "default"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size xsmall - primary', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Textarea["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "xsmall",
      variant: "primary"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size small', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Textarea["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "small",
      variant: "default"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size small - primary', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Textarea["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "small",
      variant: "primary"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size medium', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Textarea["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "medium",
      variant: "default"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size medium - primary', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Textarea["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "medium",
      variant: "primary"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size large', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Textarea["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "large",
      variant: "default"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should display size large - primary', function () {
    var ele = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_Textarea["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "large",
      variant: "primary"
    }));

    var tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should text propertly entered', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_Textarea["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "large",
      variant: "primary",
      text: "Text Area Working"
    }));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'TextareaComp').value.contains('Text Area Working')).toBe(true);
  });
  it('should placeHolder propertly entered', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_Textarea["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "large",
      variant: "primary",
      text: "Text Area Working"
    }));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'TextareaComp').getAttribute('placeholder')).toMatch(/Text Area/);
  });
  it('Check border applied', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_Textarea["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "large",
      variant: "primary",
      text: "Text Area Working",
      needBorder: true
    }));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'TextareaComp').className).toMatch(/needBorder/);
  });
  it('Check border removed', function () {
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_Textarea["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "large",
      variant: "primary",
      text: "Text Area Working",
      needBorder: false
    }));
    expect(TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'TextareaComp').className).toMatch(/noBorder/);
  }); // it('Check disabled works', () => {
  //   let renderedDOM = TestUtils.renderIntoDocument(
  //     <Textarea maxLength='100' placeHolder='Text Area' resize='vertical' size='large' variant='primary' text='Text Area Working' disabled needBorder={false} />
  //   );
  //   let pass = false;
  //   let classNames = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'TextareaComp').classList;
  //   Object.keys(classNames)
  //     .map(className => {
  //       if (classNames[className] == 'disabled') {
  //         pass = true;
  //       }
  //     });
  //   expect(
  //     pass
  //   ).toBe(true);
  // });

  it('Check check onchange works', function () {
    var mockfn = jest.fn();
    var renderedDOM = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(_Textarea["default"], {
      maxLength: "100",
      placeHolder: "Text Area",
      resize: "vertical",
      size: "large",
      variant: "primary",
      text: "Text Area Working",
      needBorder: false,
      onChange: mockfn
    }));
    var onChangeEle = TestUtils.findRenderedComponentsWithTestid(renderedDOM, 'TextareaComp');
    TestUtils.Simulate.change(onChangeEle);
    expect(mockfn.mock.calls.length).toBe(1);
  });
});