"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

var _react = _interopRequireDefault(require("react"));

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

var _Tooltip = _interopRequireDefault(require("../Tooltip"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var SampleComponent = /*#__PURE__*/function (_React$Component) {
  _inherits(SampleComponent, _React$Component);

  var _super = _createSuper(SampleComponent);

  function SampleComponent(props) {
    var _this;

    _classCallCheck(this, SampleComponent);

    _this = _super.call(this, props);
    _this.toolTipRef = /*#__PURE__*/_react["default"].createRef();
    _this.setToolTipRef = _this.setToolTipRef.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(SampleComponent, [{
    key: "setToolTipRef",
    value: function setToolTipRef(ref) {
      this.toolTipRef = ref;
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      return /*#__PURE__*/_react["default"].createElement("div", {
        onMouseOver: function onMouseOver(e) {
          return _this2.toolTipRef && _this2.toolTipRef.handleOver(e);
        },
        "data-id": "sampleComponent"
      }, /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement("span", {
        "data-title": "Register Account",
        "data-id": "registeraccount"
      }, "Register")), /*#__PURE__*/_react["default"].createElement(_Tooltip["default"], {
        ref: this.setToolTipRef
      }));
    }
  }]);

  return SampleComponent;
}(_react["default"].Component);

describe('Tooltip component conditions', function () {
  it('Is HandleOver Executed', function () {
    var sampleComponent = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(SampleComponent, null));
    sampleComponent.toolTipRef.handleOver = jest.fn();
    var component = TestUtils.findRenderedComponentsWithTestid(sampleComponent, 'sampleComponent');
    TestUtils.Simulate.mouseOver(component);
    expect(sampleComponent.toolTipRef.handleOver).toHaveBeenCalled();
  });
  it('Is reset Executed', function () {
    var sampleComponent = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(SampleComponent, null));
    sampleComponent.toolTipRef.reset = jest.fn();
    var component = TestUtils.findRenderedComponentsWithTestid(sampleComponent, 'sampleComponent');
    TestUtils.Simulate.mouseOver(component);
    expect(sampleComponent.toolTipRef.reset).toHaveBeenCalled();
  });
  it('Is click & mouseUp Declared', function () {
    var sampleComponent = TestUtils.renderIntoDocument( /*#__PURE__*/_react["default"].createElement(SampleComponent, null));
    var component = TestUtils.findRenderedComponentsWithTestid(sampleComponent, 'sampleComponent');
    var registerComp = TestUtils.findRenderedComponentsWithTestid(sampleComponent, 'registeraccount');
    TestUtils.Simulate.mouseOver(component);
    expect(registerComp.click && registerComp.mouseUp).not.toBeNull();
  });
});