"use strict";

var _debounce = require("../debounce");

describe('debounce specification', function () {
  beforeEach(function () {
    jest.useFakeTimers();
  });
  it('should call immediate', function () {
    var mockfn = jest.fn();
    var dMockfn = (0, _debounce.debounce)(mockfn, 1000, true);
    dMockfn(); //expect(setTimeout).toHaveBeenCalledTimes(1);

    expect(mockfn.mock.calls.length).toBe(1);
  });
  it('should call two times but it invoke multiple times', function () {
    var mockfn = jest.fn();
    var dMockfn = (0, _debounce.debounce)(mockfn, 1000, true);
    dMockfn();
    dMockfn();
    dMockfn();
    dMockfn();
    dMockfn();
    setTimeout(function () {
      expect(mockfn.mock.calls.length).toBe(2);
    }, 1000);
  });
  it('should call one time but it invoke multiple times', function () {
    var mockfn = jest.fn();
    var dMockfn = (0, _debounce.debounce)(mockfn, 1000);
    dMockfn();
    dMockfn();
    dMockfn();
    dMockfn();
    dMockfn();
    setTimeout(function () {
      expect(mockfn.mock.calls.length).toBe(1);
    }, 1000);
  });
});