"use strict";

var _getInitial = require("../getInitial");

describe('getInitial specification', function () {
  it('first name alone', function () {
    expect((0, _getInitial.getInitial)('vimalesan')).toEqual('V');
  });
  it('last name alone', function () {
    expect((0, _getInitial.getInitial)(null, 'vimalesan')).toEqual('VI');
  });
  it('first name and last name alone', function () {
    expect((0, _getInitial.getInitial)('vimalesan', 'a')).toEqual('VA');
  });
  it('last name with single character', function () {
    expect((0, _getInitial.getInitial)(null, 'v')).toEqual('V');
  });
});
describe('getInitialByPattern specification', function () {
  it('first name and last name pattern', function () {
    expect((0, _getInitial.getInitialByPattern)('vimalesan', 'a', ['FIRST_NAME', 'LAST_NAME'])).toEqual('VA');
  });
  it('last name and first name pattern', function () {
    expect((0, _getInitial.getInitialByPattern)('vimalesan', 'a', ['LAST_NAME', 'FIRST_NAME'])).toEqual('AV');
  });
});