"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = compileClassNames;

var _utils = require("./utils");

var collectClassNames = function collectClassNames(processedClassNameList) {
  for (var index = 0; index < (arguments.length <= 1 ? 0 : arguments.length - 1); index++) {
    var classInfo = index + 1 < 1 || arguments.length <= index + 1 ? undefined : arguments[index + 1];

    if (!classInfo) {
      continue;
    } else if ((0, _utils.isDataTypeOf)(classInfo, _utils.dataTypes.object)) {
      for (var property in classInfo) {
        if (Object.hasOwnProperty.call(classInfo, property) && property !== 'undefined' && property !== 'null' && classInfo[property] && !processedClassNameList.includes(property)) {
          processedClassNameList.push(property);
        }
      }
    }
  }
};

function compileClassNames() {
  var resultClassNameList = [];

  for (var _len = arguments.length, classinfoList = new Array(_len), _key = 0; _key < _len; _key++) {
    classinfoList[_key] = arguments[_key];
  }

  collectClassNames.apply(void 0, [resultClassNameList].concat(classinfoList));
  return resultClassNameList.filter(function (a) {
    return a !== '';
  }).join(' ');
}