"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = mergeStyle;

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var REPLACER_SYMBOL = '$'; // $ startWith is used for replace the existing style.
// all other will be append

function mergeStyle(defaultStyle) {
  var customStyle = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var additionalStyle = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];
  // if(!Object.keys(defaultStyle).includes('base')) {
  //   throw new Error(`STYLE CUSTOMIZATION RULE - Your style sheet should have "base" class name for customization`);
  // }
  return Object.keys(customStyle).reduce(function (res, next) {
    if (next.startsWith(REPLACER_SYMBOL)) {
      var styleValue = customStyle[next];
      var styleName = next.replace(REPLACER_SYMBOL, '');

      if (!defaultStyle[styleName] && !additionalStyle.includes(styleName)) {
        // return res;
        throw new Error("UNKNOWN CLASSNAME DETECTED - Given customStyle's key \"".concat(styleName, "\" is not available in that component style"));
      }

      if (additionalStyle.includes(styleName)) {
        res[styleName] = styleValue;
      } else {
        var val = defaultStyle[styleName];
        Object.keys(res).map(function (keyName) {
          var styleKey = res[keyName];
          var styleClasses = styleKey.split(' ');
          var ind = styleClasses.indexOf(val);

          if (ind !== -1) {
            styleClasses[ind] = styleValue;
            res[keyName] = styleClasses.join(' ');
          }
        });
      }
    } else if (defaultStyle[next]) {
      var _val = defaultStyle[next];
      Object.keys(res).map(function (keyName) {
        var styleKey = res[keyName];
        var styleClasses = styleKey.split(' ');
        var ind = styleClasses.indexOf(_val);

        if (ind !== -1) {
          styleClasses[ind] = styleClasses[ind] + ' ' + customStyle[next];
          res[keyName] = styleClasses.join(' ');
        }
      });
    } else if (additionalStyle.includes(next)) {
      res[next] = customStyle[next];
    } else if (!defaultStyle[next] && !additionalStyle.includes(next)) {
      // res[next] = customStyle[next];
      throw new Error("UNKNOWN CLASSNAME DETECTED - Given customStyle's key \"".concat(next, "\" is not available in that component style"));
    }

    return res;
  }, _objectSpread({}, defaultStyle));
}